#5. Программа запрашивает у пользователя строку чисел, разделенных пробелом. При нажатии Enter должна выводиться сумма чисел.
# Пользователь может продолжить ввод чисел, разделенных пробелом и снова нажать Enter.
# Сумма вновь введенных чисел будет добавляться к уже подсчитанной сумме. Но если вместо числа вводится специальный символ, выполнение программы завершается.
# Если специальный символ введен после нескольких чисел, то вначале нужно добавить сумму этих чисел к полученной ранее сумме и после этого завершить программу.
exit = False
total = 0
def sum(chisla: list):
    total = 0
    for i in chisla:
        total += int(i)
    return total

while not exit:
    user_chisla = input('Введите числа через пробел. Для выхода напечатайте exit через пробел: ')
    chisla = user_chisla.split(' ')
    if 'exit' in chisla:
        chisla.remove('exit')
        total += sum(chisla)
        exit = True
    else:
        total += sum(chisla)
    print(f'Сумма введенных чисел: {total}')
